
QGIS Application - Bug report #10362

Crash on rollback after addition of a feature

2014-05-26 08:27 AM - Martin Dobias

Status: Closed

Priority: Severe/Regression

Assignee: Matthias Kuhn

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18781

Description

Something is getting wrong with the vector layer commands.

Steps to reproduce:

1. add a vector layer

2. start editing

3. add a new feature

4. stop editing without saving changes (rollback) -> crash

In qgsattributeform.cpp, I have tried to move beginEditCommand() on line 177 to the else branch few lines later. That helps, but then there

is a new issue that new "add feature" command is immediately undo-ed (i.e. it is still in the undo stack, but not active).

Associated revisions

Revision 644dd13c - 2014-05-27 06:20 PM - Matthias Kuhn

Fix add features dialog

Fix #10362

History

#1 - 2014-05-26 08:29 AM - Giovanni Manghi

is a regression?

#2 - 2014-05-26 08:34 AM - Martin Dobias

Yes, related to fix of #10337

#3 - 2014-05-26 08:35 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

#4 - 2014-05-27 09:21 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"644dd13c3a00d55e89bf14a917e5dfd23dcd22bb".
